Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Condition

All Superinterfaces:
  M4Data, M4Object

All Known Implementing Classes:
  Condition

    public interface Condition

extends M4Data

Version:
  $Id: Condition.java,v 1.6 2006/09/27 14:59:57 euler Exp $
Author:
  Daniel Hakenjos, Timm Euler

Method Summary
`void` | `check(ExecutableOperator op)` Checks the `Condition` for the specified `ExceutableOperator`.
`java.lang.String` | `getObj1()` Gets the myObj1.
`java.lang.String` | `getObj2()` Gets the myObj2.
`Operator` | `getTheOperator()` Gets the Operator
`java.lang.String` | `getType()` Gets the myType.
`void` | `setObj1(java.lang.String myObj1)` Sets the myObj1.
`void` | `setObj2(java.lang.String myObj2)` Sets the myObj2.
`void` | `setTheOperator(Operator operator)` Sets the Operator.
`void` | `setType(java.lang.String myType)` Sets the myType.

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### getObj1

    java.lang.String getObj1()

  Gets the myObj1.

  Returns:
    Returns a String

### getObj2

    java.lang.String getObj2()

  Gets the myObj2.

  Returns:
    Returns a String

### getTheOperator

    Operator getTheOperator()

  Gets the Operator

  Returns:
    Returns an `Operator`

### getType

    java.lang.String getType()

  Gets the myType.

  Returns:
    Returns a String

### setObj1

    void setObj1(java.lang.String myObj1)

  Sets the myObj1.

  Parameters:
    `myObj1` - The myObj1 to set

### setObj2

    void setObj2(java.lang.String myObj2)

  Sets the myObj2.

  Parameters:
    `myObj2` - The myObj2 to set

### setTheOperator

    void setTheOperator(Operator operator)
                        throws M4Exception

  Sets the Operator.

  Parameters:
    `operator` - The `Operator` to set
  Throws:
    `M4Exception`

### setType

    void setType(java.lang.String myType)

  Sets the myType.

  Parameters:
    `myType` - The myType to set

### check

    void check(ExecutableOperator op)
               throws UserError,
                      M4CompilerError

  Checks the `Condition` for the specified `ExceutableOperator`. Currently this method directly throws a `UserError` exception to be propagated to the GUI if the `Condition` is violated.

  Parameters:
    `op` -
  Throws:
    `UserError`
    `M4Exception`
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005